#ifndef STAND_H
#define STAND_H

//------------------------------------------------------------------------------
// Copyright (c), 1997 Ralph Holland
// History:
// 000: 26 Apr 97, RBH - Initial Writing
// Description:
// Contains standard types used by my C++ programs - just convenient
//------------------------------------------------------------------------------

#include <stdlib.h>
#include <string>			// Use the std::string instead of anything else;
using std::string;			// lots of compiler vendors have their own.
							// This is one of the worst things with C++
							// at least the std one now nearly has the same 
							// methods for each vendor, but watch out, some 
							// have extensions! Microsoft Visual C++ is not 
							// as ANSII compliant as Borland C++ or Linux gcc.

	// standard types which we use to make things work
	// there are no real problems in nec however, so you could change if you like
typedef short 				int16;
typedef long  				int32;
typedef unsigned short 		uint16;
typedef unsigned long		uint32;
typedef float 				Numeric;   // NOTE: you can change to double if you wish
   
	// just here for convenience - I din't want to write another header file or a .cpp
class Exception {
public:
	Exception(const char * text) {
		message = text;
	}
	const char * message;
};

#endif  // STAND_H
